<template>
  <div class="container-fluid g-0 toolView">
    <Header class="row g-0" />
    <main class="row g-0">
      <div class="col sidebar">
        <i class="tirette fa fa-ellipsis-v fa-lg fa-fw"></i>
        <SidebarAOD />
      </div>
      <div class="col content">
        <Modal />
        <AppMap v-if="content === 'map' && store.state.map" />
        <Results v-if="store.state.showResults" />
      </div>
    </main>
    <div class="row g-0 footer">
      <Footer />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, onMounted, computed } from 'vue'
import Header from '../components/Header.vue'
import Footer from '../components/Footer.vue'
import SidebarAOD from '../components/SidebarAOD.vue'
import AppMap from '../components/AppMap.vue'
import Results from '../components/Results.vue'
import Modal from '../components/Modal.vue'
import { useStore } from '@/store'

export default defineComponent({
  name: 'ToolView',
  components: { Header, Footer, SidebarAOD, AppMap, Results, Modal },
  props: ['zoom', 'center'],
  setup: () => {

    // STORE
    const store = useStore();

    // LIFECYCLE HOOKS
    onMounted(() => {
      store.state.map.getView().setZoom(store.state.currentZoom);
      store.state.map.getView().setCenter(store.state.currentCenter);
    })

    return {
      store,
      // store variables
      content: computed(() => store.state.content)
    }
  }
})
</script>

<style scoped>
/*
.toolView {
  background-color: #659DBD;
  width: 100%;
}
*/
</style>
